%define	dic_date  20110409

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name

%define rel 11

Name:      anthy
Summary:   A Japanese words input system
Version:   9100h
Release:   %mkrel 25.%{dic_date}.%{rel}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://www.fenix.ne.jp/~G-HAL/soft/nosettle/#anthy
Source0:   http://downloads.sourceforge.net/mdk-ut/anthy-%{version}-%{dic_date}ut.tar.bz2
Patch11:   %{name}-fix-elisp.patch
Patch14:   anthy-9100h-bdo#777689.patch
# Prevent grep from replacing the filtered content with "Binary file foo"
Patch15:   anthy-grep-binary.patch
Requires:        %{libname} = %{version}-%{release}
BuildRequires:   emacs-bin 
BuildRequires:   automake

%description
Anthy is a free and secure Japanese input system.


%package -n %{libname}
Summary:    Anthy library
Group:      System/Internationalization

%description -n %{libname}
Anthy library.

%package -n %{develname}
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %mklibname -d anthy 0
Conflicts:  %{mklibname anthy 0} < 9100e-10

%description -n %{develname}
Anthy development package: static libraries, header files, and the like.


%prep
%setup -q -n %{name}-%{version}-%{dic_date}ut
%autopatch -p1

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS ChangeLog DIARY NEWS README doc
%{_bindir}/*
%config %{_sysconfdir}/*
%{_datadir}/anthy
%{_datadir}/emacs/site-lisp/anthy/*

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc COPYING
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Tue Mar 15 2016 tv <tv> 9100h-25.20110409.11.mga6
+ Revision: 991038
- drop patch 13 (same logic has been merged upstream)

* Wed Mar 09 2016 pterjan <pterjan> 9100h-25.20110409.10.mga6
+ Revision: 988461
- Fix build when grep thinks some EUC-JP files are binary

  + luigiwalser <luigiwalser>
    - add patch from debian to fix infinite loop (bdo#777689)
    - add patches from fedora to fix elisp file and segfault

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 9100h-25.20110409.6.mga5
+ Revision: 742587
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 9100h-25.20110409.5.mga5
+ Revision: 686504
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 9100h-25.20110409.4.mga5
+ Revision: 677777
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 9100h-25.20110409.3.mga4
+ Revision: 533030
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 fwang <fwang> 9100h-25.20110409.2.mga4
+ Revision: 470874
- cleanup spec

* Fri Jan 11 2013 umeabot <umeabot> 9100h-25.20110409.2.mga3
+ Revision: 345599
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 07 2011 fwang <fwang> 9100h-25.20110409.1.mga2
+ Revision: 132153
- new snapshot 20110409

* Thu Mar 24 2011 boklm <boklm> 9100h-25.20100710.3.mga1
+ Revision: 76129
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 9100h-25.20100710.2.mga1
+ Revision: 73645
- bump release
- clean up
- imported package anthy

